View Issue Details

IDProjectCategoryView StatusLast Update
0001688XdebugUsage problems (Wrong Results)public2019-07-25 14:19
ReporterderickAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.8.0devFixed in Version2.8.0beta1 
Summary0001688: Improve performance by using getpid() only when step debugger is active
DescriptionFrom https://github.com/xdebug/xdebug/pull/439:

Accidentally stumbled upon stracing the php with xdebug during coverage run, and the getpid() syscall was quite frequent, for a sample straced test run:

    Time: 48,36 seconds, Memory: 48,25MB

    OK (4 tests, 42 assertions)

    Generating code coverage report in HTML format ... done

<code>
% time seconds usecs/call calls errors syscall
------ ----------- ----------- --------- --------- ----------------
 98,74 25,746040 1 14731714 getpid
  0,30 0,078282 2 30204 41 stat
  0,26 0,068584 3 18951 7195 access
  0,14 0,036525 4 8268 113 openat
  0,11 0,029765 2 13153 read
  0,10 0,025439 1 15517 fstat
</code>

without strace, xdebug-2.7.0beta1:

    Time: 9,19 seconds, Memory: 48,25MB

after applying this patch:

    Time: 8,9 seconds, Memory: 48,25MB

Not much, but still an optimization.
TagsNo tags attached.
Operating System
PHP Version7.3.5-7.3.9

Activities

derick

2019-07-22 08:29

administrator   ~0005083

Fixed for 2.8.0beta1

Issue History

Date Modified Username Field Change
2019-07-19 14:08 derick New Issue
2019-07-22 08:29 derick Assigned To => derick
2019-07-22 08:29 derick Status new => closed
2019-07-22 08:29 derick Resolution open => fixed
2019-07-22 08:29 derick Fixed in Version => 2.8.0dev
2019-07-22 08:29 derick Note Added: 0005083
2019-07-25 14:19 derick Fixed in Version 2.8.0dev => 2.8.0beta1